﻿@import url('https://fonts.googleapis.com/css2?family=Play:wght@400;700&display=swap');

body {
    /*  background: #080D2D url('../img/patern.png') repeat fixed;*/
    /*background: url('../img/lobby_theslotroom.jpg');*/
    background: url('../img/lobby_bellwet.jpg');
    font-family: "Play", sans-serif;
    font-weight: 400;
    font-style: normal;
}
/*.showcase .showcase-text {
  padding: 3rem;
  height: 100vh;
  background: linear-gradient(0deg, rgba(3, 12, 45, 1) 0%, rgba(13, 20, 78, 1) 100%) url('../img/patern.png') repeat;
}

.showcase .showcase-img {
  min-height: 30rem;
  background-size: cover;
  height: 100vh;
}*/

.showcase {
    height: 100vh;
    background:  transparent  no-repeat center;
    background-size: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
}

.patern-bg {
    background: #fff /*url('../img/patern.png') repeat center;*/
    border-radius: 14px;
    overflow: hidden;
   /* border-color: #F79C24;*/
}

.logo {
    text-align: center;
}

    .logo img {
        max-height: 200px;
    }

.social-icons {
    text-align: center;
    margin-top: 20px;
}

    .social-icons a:hover {
        opacity: .7;
    }

    .social-icons img {
        height: 32px;
        margin: 0 4px;
    }

.blue-bg{
  background-color: #040B25 !important;
}
.custom-card {
    background: radial-gradient(circle,rgba(243,143,31,0) 0,#ff843c 100%);
    border-radius: 14px;
    overflow: hidden;
}
/*.custom-card:hover{
  opacity: .7;
  cursor: pointer;
  border: 1px #FFB341 solid;
}*/
    .custom-card .card-footer {
        background: radial-gradient(circle,rgba(87,87,92,.6643032213) 0,#000 100%);
        margin: 4px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
        border-bottom-left-radius: 12px;
        border-bottom-right-radius: 12px;
        margin-top: 0px !important;
        color: #fff !important;
    }

    .custom-card .card-header, .card-body {
        background: radial-gradient(circle,rgba(87,87,92,.6643032213) 0,#000 100%);
        margin: 4px;
        border-top-left-radius: 12px;
        border-top-right-radius: 12px;
        border-bottom-left-radius: 0px;
        border-bottom-right-radius: 0px;
    }
.card-body-slot {
    width: 100%;
    border-radius: 0px;
    margin: 0;
    background: radial-gradient(circle,rgba(87,87,92,.6643032213) 0,#000 100%);
    /*margin: 4px;*/
    /*border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;*/
}

.card-header-slot {
    background-color: rgba(78, 78, 78, 0.76);
    width: 100%;
    justify-content: center;
    /*background: radial-gradient(circle,rgba(87,87,92,.6643032213) 0,#000 100%);
    margin: 4px;*/
    /*border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;*/
}

.card-footer-available {
    background: rgb(17, 158, 17);
    background-color: rgb(17, 158, 17);
    width: 100%;
    justify-content: center;
    margin: 0px !important;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
    margin-top: 0px !important;
    color: #fff !important;
    font-size:12px;
    padding:0 !important;

}

.card-footer-notavailable {
    background-color: purple;
    width: 100%;
    justify-content: center;
    margin: 0px !important;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
    margin-top: 0px !important;
    color: #fff !important;
    font-size: 12px;
    padding: 0 !important;
}

.card-footer-busy {
    background-color: rgb(253, 105, 50);
    width: 100%;
    justify-content: center;
    margin: 0px !important;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
    margin-top: 0px !important;
    color: #fff !important;
    font-size: 12px;
    padding: 0 !important;
}

.card-footer-maintenance {
    background-color: goldenrod;
    width: 100%;
    justify-content: center;
    margin: 0px !important;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
    margin-top: 0px !important;
    color: #fff !important;
    font-size: 12px;
    padding: 0 !important;
}


.card-footer-passive {
    background-color: darkred;
    width: 100%;
    justify-content: center;
    margin: 0px !important;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
    margin-top: 0px !important;
    color: #fff !important;
    font-size: 12px;
    padding: 0 !important;
}

.slot-image {
    display: flex;
    justify-content: center;
    max-height: 180px;
}

.card-bodyn {
    background: rgb(255, 255, 255);
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
}

.card-bodyb {
    background: #2d323e !important;
    
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}
.text-bold {
  font-weight: bold;
}
.br-8{
  border-radius: 8px !important;
}

.br-14 {
    border-radius: 14px !important;
}

.classic-group-header, .group-header, .roulette-name {
    font-family: Avant Garde, Avantgarde, Century Gothic, CenturyGothic, AppleGothic, sans-serif;
    text-transform: uppercase;
    text-rendering: optimizeLegibility;
    letter-spacing: .1em;
}

.mat-h2, .mat-title, .mat-typography h2 {
    font  : 600 20px / 32px Open Sans, Helvetica Neue, Arial, sans-serif;
    margin: 0 0 16px;
}

.fuse-white-fg {
    color: #fff !important;
}

.mat-h3, .mat-subheading-2, .mat-typography h3 {
    font: 400 16px / 28px Open Sans, Helvetica Neue, Arial, sans-serif;
    margin: 0 0 16px;
}


.text-nowrap, .text-truncate
Specificity: (0,1,0) {
    white-space: nowrap;
}

.slot-circle{
  background-color: rgba(255,255,255, 0.1);
  padding:10px;
  width:80px;
  height: 80px;
  border-radius: 100px;
  padding-top: 20px;
  margin: 0 auto;
}
.m-num{
  border: 1px #FFB341 solid;
  padding: 4px 8px;
  border-radius: 4px;
  display: inline;
  margin: 0 auto;
  color: #FFB341;
  font-weight: bold;
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}
.slot-status {
    border: 2px #727272 solid;
    border-radius: 1em;
    overflow: hidden;
}

    .slot-status:hover {
        cursor: pointer;
        /*opacity: 0.7;*/
        border: 1px #FFB341 solid;
    }
/*.slot-busy{
  background: rgb(125, 2, 2);
  background: radial-gradient(circle, rgba(125, 2, 2, 1) 0%, rgba(13, 17, 35, 1) 100%);
}
.slot-aviable {
  background: rgb(49, 195, 13);
  background: radial-gradient(circle, rgba(49, 195, 13, 1) 0%, rgba(13, 17, 35, 1) 100%);
}
.slot-maintenance {
  background: rgb(195, 115, 13);
  background: radial-gradient(circle, rgba(195, 115, 13, 1) 0%, rgba(13, 17, 35, 1) 100%);
}
.slot-reserved {
  background: rgb(13, 76, 195);
  background: radial-gradient(circle, rgba(13, 76, 195, 1) 0%, rgba(13, 17, 35, 1) 100%);
}*/



.slot-busy {
    background-color: rgba(78, 78, 78, 0.76);
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    place-content: center;

}

.slot-aviable {
    background-color: rgba(78, 78, 78, 0.76);
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    place-content: center;
}

.slot-maintenance {
    background-color: rgba(78, 78, 78, 0.76);
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    place-content: center;
}

.slot-reserved {
    background-color: rgba(78, 78, 78, 0.76);
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    place-content: center;
}

.bottom-btn {
    background: rgb(6, 6, 6);
    background: linear-gradient(180deg, #aa7202, #fcee21 7%, #f4a925 25%, #a86b0b 51%, #f4a925 72%, #fcee21 93%, #aa7202);
    padding: 8px;
}
#sliding-footer {
    background: rgb(6, 6, 6);
    background: linear-gradient(180deg, #aa7202, #fcee21 7%, #f4a925 25%, #a86b0b 51%, #f4a925 72%, #fcee21 93%, #aa7202);
    position: fixed;
    bottom: -70px;
    left: 0;
    width: 100%;
    height: 165px;
    transition: bottom 0.5s ease-in-out;
}

#sliding-footer2 {
    background: rgb(6, 6, 6);
    background: linear-gradient(180deg, #aa7202, #fcee21 7%, #f4a925 25%, #a86b0b 51%, #f4a925 72%, #fcee21 93%, #aa7202);
    position: fixed;
    bottom: -80px;
    left: 0;
    width: 100%;
    height: 165px;
    transition: bottom 0.5s ease-in-out;
}
#sliding-footer .lines {
  padding: 8px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

#sliding-footer2 .lines {
    padding: 8px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
#slide-button{
  color: white;
  width: 36px;
  height: 30px;
  background: rgb(31, 37, 96);
  font-size: 30px;
  position: absolute;
  top:-30px;
  left:0;
  right:0;
  margin: 0 auto;
  text-align: center;
  line-height: 32px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}
.bottom-btn img{
  margin: 0 4px;
}
.bottom-btn img:hover, .bottom-btn img:active {
  opacity: .6;
  cursor: pointer;
}
.real-view{
  position: absolute;
}
.game-btn-120 {
    touch-action: manipulation;
    width: 120px;
    height: 120px;
}
.game-btn-110 {
    touch-action: manipulation;
    width: 110px;
    height: 110px;
}
.game-btn-90 {
    touch-action: manipulation;
    width: 90px;
    height: 90px;
}
.game-btn-80 {
    touch-action: manipulation;
    width: 80px;
    height: 80px;
}
.game-btn-70 {
    touch-action: manipulation;
    width: 70px;
    height: 70px;
}
.game-btn-60 {
    touch-action: manipulation;
    width: 60px;
    height: 60px;
}
.game-btn-50 {
    touch-action: manipulation;
    width: 50px;
    height: 50px;
}
.game-btn-40 {
    touch-action: manipulation;
    width: 40px;
    height: 40px;
}
.game-btn img:active, .game-btn img:hover {
  opacity: .5;
  cursor: pointer;
}
.lines img:active {
    opacity: .5;
    cursor: pointer;
    touch-action: manipulation;
}
#numpad {
  padding: 20px;
}
.display{
  background-color: #202B52;
  border-radius: 12px;
  border: 2px #464B5F solid;
  font-size: 30px;
  padding: 10px 16px;
  font-weight: bold;
  color: white;
  text-align: right;
  margin-bottom: 20px;
  height: 65px;
}
.keypad {
  display: grid;
  grid-template-columns: repeat(3, 85px);
  gap: 10px;
  justify-content: center;
  margin-bottom: 10px;
}

.key {
  background-color: #040B25;
  border: 2px #464B5F solid;
  border-radius: 12px;
  color: white;
  padding: 12px;
  font-size: 30px;
  cursor: pointer;
  transition: 0.3s;
}

.key:hover {
  background-color: white;
  color: #040B25;
  cursor: pointer;
}
.key, .delete {
  background-color: #040B25;
  border: 2px #464B5F solid;
  border-radius: 12px;
  color: white;
  padding: 12px;
  font-size: 30px;
  cursor: pointer;
  transition:  0.3s;
}

#coins{
  display: grid;
  grid-template-columns: repeat(2, 120px);
  gap: 12px;
  justify-content: center;
  margin-bottom: 10px;
}

#coinsmob {
    display: grid;
    grid-template-columns: repeat(2, 80px);
    gap: 8px;
    justify-content: center;
    margin-bottom: 8px;
}

#bets {
    display: flex;
    justify-content: center;
   
}
#coins img:hover, #coins img:active{
  opacity: .5;
  cursor: pointer;
}

#coinsmob img:hover, #coinsmob img:active {
    opacity: .5;
    cursor: pointer;
}

.hidden {
  display: none !important;
}
.show{
  display:block;
}
.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    right: 0;
    background: #2d323e !important;
    overflow-x: hidden;
    transition: 0.2s;
    padding-top: 70px;
}

.sidenavcoin {
    height: 63%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 15%;
    bottom: 15%;
    right: -5px;
    background: radial-gradient(#5b82e6, #051e43) !important;
    border: 5px solid #eb9f00;
    border-right:none;
    overflow-x: hidden;
    transition: 0.2s;
    /*padding-top: 70px;*/
    overflow:hidden;
    border-bottom-left-radius:12px;
    border-top-left-radius:12px;
}


.sidenavtransfer {
    height: 70%;
    position: fixed;
    z-index: 1;
    top: 15%;
    bottom: 15%;
    right: 15%;
    left: 15%;
    background: radial-gradient(#5b82e6, #051e43) !important;
    border: 5px solid #eb9f00;
    border-radius: 12px;
    overflow-x: hidden;
    transition: 0.2s;
    /*padding-top: 70px;*/
    overflow: hidden;
    display: none;
    z-index: 1000;
    flex-direction:column;
    padding:10px;
}

.sidenavbets {
    height: 63%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 15%;
    bottom: 15%;
    left: -5px;
    background: radial-gradient(#5b82e6, #051e43) !important;
    border: 5px solid #eb9f00;
    border-left: none;
    overflow-x: hidden;
    transition: 0.2s;
    /*padding-top: 70px;*/
    overflow: hidden;
    border-bottom-right-radius: 12px;
    border-top-right-radius: 12px;
}



.sidenav a {
  padding: 8px 8px 8px 20px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 14px;
  font-size: 36px;
}

.sidenav #backbtn {
  position: absolute;
  top: 0;
  left: 0;
  font-size: 36px;
}



.progmatic-slot {
    background-color: #fe6340;
    border: 1px solid #292E5A;
    padding: 8px;
    color: #fff;
    text-align: center;
}

.star-icon {
    font-size: 24px;
    color: grey;
    position: absolute;
    top: 10px;
    left: 10px;
    cursor: pointer;
}

    .star-icon.favorited {
        color: gold;
    }

/* Search bar styling */
.search-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

    .search-container input {
        width: 200px;
        padding: 5px;
        margin-left: 10px;
        border: 1px solid #ccc;
        border-radius: 4px;
    }

    .search-container button {
        padding: 5px 10px;
        margin-left: 10px;
        background-color: #007bff;
        color: white;
        border: none;
        border-radius: 4px;
    }

.favorite-icon, .green-icon {
    font-size: 24px;
    color: grey;
    margin-left: 10px;
    cursor: pointer;
}

.yesil {
    color: green;
}

.favorite-icon.active, .green-icon.active {
    color: gold;
}

.green-icon.active {
    color: #9ceb8f;
}

.lobby-button {
    text-align: center;
    width: 100%;
}

.right-actions {
    display: flex;
    align-items: center;
}


@media screen and (max-height: 450px) {
  .sidenav {
    padding-top: 15px;
  }

  .sidenav a {
    font-size: 18px;
  }
}

@media (min-width: 768px) {
  .showcase .showcase-text {
    padding: 3rem;
  }
  .navbar-collapse{
    text-align: center;
  }
}

@media (max-width: 768px) {
  .showcase .showcase-img {
    display: none;
  }

    #headerlogo {
        display: none;
    }
}


